<?php namespace App\ViewModels\Galeria\GaleriaListViewModel;


use App\Utils\Builder;

class GaleriaListViewModelBuilder implements Builder
{
    protected $id;
    protected $id_clinica;
    protected $id_medico;
    protected $id_paciente;
    protected $imagem;
    protected $descricao;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setIdClinica($id_clinica)
    {
        $this->id_clinica = $id_clinica;
        return $this;
    }

    public function setIdMedico($id_medico)
    {
        $this->id_medico = $id_medico;
        return $this;
    }

    public function setIdPaciente($id_paciente)
    {
        $this->id_paciente = $id_paciente;
        return $this;
    }

    public function setImagem($imagem)
    {
        $this->imagem = $imagem;
        return $this;
    }

    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : GaleriaListViewModel
    {
        $galeria_details_vm = new GaleriaListViewModel();
        $galeria_details_vm->setId($this->id);
        $galeria_details_vm->setIdClinica($this->id_clinica);
        $galeria_details_vm->setIdMedico($this->id_medico);
        $galeria_details_vm->setIdPaciente($this->id_paciente);
        $galeria_details_vm->setImagem($this->imagem);
        $galeria_details_vm->setdescricao($this->descricao);
        return $galeria_details_vm;
    }


}